Altibase.jdbc.driver

## Class ByteBufferOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - Altibase.jdbc.driver.ByteBufferOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public final class ByteBufferOutputStream
    extends java.io.OutputStream

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferOutputStream()`
`ByteBufferOutputStream(ClientSideBlob aBlob, long aPos)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `setWatcher(OutputStreamWatcher aWatcher)`
`void` `write(byte[] aSource)`
`void` `write(byte[] aSource, int aOffset, int aLength)`
`void` `write(int aValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferOutputStream

    public ByteBufferOutputStream()

#### ByteBufferOutputStream

    public ByteBufferOutputStream(ClientSideBlob aBlob,
                                  long aPos)

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int aValue)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] aSource)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] aSource,
                      int aOffset,
                      int aLength)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### setWatcher

    public void setWatcher(OutputStreamWatcher aWatcher)